package org.gridschool.unicore.plugins.ajoplugin;

import java.util.logging.Level;

import org.unicore.User;
import org.unicore.Vsite;
import org.unicore.ajo.AbstractJob;
import org.unicore.ajo.UserTask;
import org.unicore.resources.SoftwareResource;
import org.unicore.upl.Reply;

import com.pallas.unicore.requests.ObservableRequestThread;
import com.pallas.unicore.resourcemanager.ResourceManager;

/**
 * Send an AJO in polling mode
 *
 *@author     Ralf Ratering
 *@version $Id: AJORequest.java,v 1.4 2003/08/15 14:14:53 rrate Exp $
 */
public class AJORequest extends ObservableRequestThread {
	private Vsite vsite;
	private SoftwareResource software;

	/**
 	* Set parameters of request in constructor
 	* @param ajoId 		identifier for job that possesses uspace
 	* @param filenames 	array of filenames to transfer
 	* @param vsite 		destination vsite
 	*/
	public AJORequest(SoftwareResource software, Vsite vsite) {
		this.software = software;
		this.vsite = vsite;
	}
	

	/**
 	* Start the request
 	*/
	public void run() {
		UserTask userTask = new UserTask("UserTask");
		userTask.addResource(software);
		
		User user = ResourceManager.getUser(vsite);
		AbstractJob job =
			new AbstractJob("AJORequest_" + ResourceManager.getNextObjectIdentifier());
		job.setVsite(vsite);
		job.setEndorser(user);
		job.add(userTask);

		Reply reply=null;
		try {
	 		reply = polling(job, vsite, user);
		}
		catch (Exception e) {
			logger.log(Level.SEVERE, "Submitting AJO in polling mode failed.", e);
		}
					
		notifyObservers(this, reply);
	}

}
