/*
 * Copyright (c) 2000-2004, Intel Corporation All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 * (1) Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the disclaimer at the end. Redistributions in
 * binary form must reproduce the above copyright notice, this list of
 * conditions and the following disclaimer in the documentation and/or other
 * materials provided with the distribution.
 * 
 * (2) Neither the name of Intel Corporation nor the names of its contributors
 * may be used to endorse or promote products derived from this software without
 * specific prior written permission.
 * 
 * DISCLAIMER
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
package com.pallas.unicore.client.plugins.command;

/**
 * Strings for command plugin
 * 
 * @version $Id: ResourceStrings.java,v 1.1 2004/05/25 14:58:53 rmenday Exp $
 */
public class ResourceStrings extends java.util.ListResourceBundle {

	final static Object[][] contents = new String[][]{
			{"NO_SELECTION", "No commands or software resources selected."},
			{"NO_EXECUTABLE",
					"No executable or software resource was specified for the command task."},
			{"NO_RESOURCES", "No resources found."},
			{"CANNOT_LOAD", "Cannot load default resources from "},
			{"SOFTWARE_RESOURCE", "Software resource "},
			{"STORAGE_RESOURCE", "Storage resource "},
			{"NOT_AVAILABLE", " is not available at "},
			{"MISSING_LOCALIMPORT", "File for command import not found: "},
			{"SYSTEM_DEFAULTS",
					"Loading command plugin defaults failed, generating system defaults."},
			{"COULD_NOT_WRITE",
					"Could not write defaults for command plugin to file."},
			{"COULD_NOT_READ",
					"Could not read the following property from command defaults file: "},
			{"CHOOSE_DIR_TITLE", "UNICORE: Select Command Directory"},
			{"DEFAULTS_TITLE", "UNICORE: Command Plugin Defaults"},
			{"ENTER_VALUES", "Enter default values for UNICORE command plugin"},
			{"SUCCESS", "Successfully stored command plugin defaults."},
			{"DIR_LABEL", "Command Directory: "},
			{"STORE_CURRENT", "Save current settings as defaults to file"},
			{"STORE_AND_CLOSE",
					"Save current settings as defaults to file and close dialog"},
			{"CLOSE", "Close dialog and dismiss changes"},
			{"SELECT", "Select"},
			{"ID_TIP", "Enter identifier for this command"},
			{"FILENAME_TIP", "Executable file name."},
			{"NAME_LABEL", "Task Name: "},
			{"EDIT", "Edit Resources"},
			{"BROWSE", "Browse"},
			{"OPTIONS", "Options"},
			{"IMPORTS", "File Imports"},
			{"EXPORTS", "File Exports"},
			{"BORDER", "Execute Command"},
			{"INFO_STRING", "Execute Command Plugin\n (C)2000-2004 Intel"},
			{"ADD_ITEM", "Add Command"}, {"DEFAULT_ITEM", "Command Defaults"},
			{"INITIAL_NAME", "New_Cmd"}};

	public Object[][] getContents() {
		return contents;
	}
}