/*
 * Copyright (c) 2000-2004, Intel Corporation All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 * (1) Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the disclaimer at the end. Redistributions in
 * binary form must reproduce the above copyright notice, this list of
 * conditions and the following disclaimer in the documentation and/or other
 * materials provided with the distribution.
 * 
 * (2) Neither the name of Intel Corporation nor the names of its contributors
 * may be used to endorse or promote products derived from this software without
 * specific prior written permission.
 * 
 * DISCLAIMER
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
package com.pallas.unicore.client.util;

/**
 * Strings for util classes
 * 
 * @author Ralf Ratering
 * @version $Id: ResourceStrings.java,v 1.1 2004/05/25 14:58:50 rmenday Exp $
 */
public class ResourceStrings extends java.util.ListResourceBundle {

	final static Object[][] contents = new String[][]{
			{"NOT_FOUND", "Plugin class not found!"},
			{"CANNOT_CONVERT", "Cannot convert filename to URL: "},
			{"CERT_ERROR", "Error in Certificate: "},
			{"NO_PROVIDER", "Could not find certificate provider: "},
			{"SIGNATURE_FAILED",
					"Failed to verify plugin signer certificate for "},
			{"CANNOT_LOAD", "Cannot load plugin class: "},
			{"NOT SIGNED",
					" is not signed with a certificate chain of length 2"},
			{"ERROR_IN_JAR", "Error reading jar file: "},
			{"PLUGIN_JAR", "Plugin jar "},
			{"NOT_SIGNED", " seems to be not signed!"},
			{
					"NO_HOME_DIR",
					"Cannot find user\'s home and username for UNICORE configuration directory!\n "
							+ "Choosing the current directory"},
			{"CREATE_DIRECTORY", "Creating the following directory: "},
			{"GENERATING_DEFAULTS",
					"Loading user defaults failed, generating system defaults!"},
			{"COULD_NOT_WRITE", "Could not write user defaults to file"},
			{"COULD_NOT_READ",
					"Could not read the following value from user defaults file: "},
			{"NO_PERMISSION",
					"Not allowed to determine user\'s home directory."},
			{"WRONG_INTEGER",
					"Invalid integer format in user default file for property: "},
			{"WRONG_DOUBLE",
					"Invalid double format in user default file for property: "},
			{"WRONG_BOOLEAN",
					"Invalid boolean format in user default file for property:"},};

	public Object[][] getContents() {
		return contents;
	}
}