/*
 * Copyright (c) 2000-2004, Intel Corporation All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 * (1) Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the disclaimer at the end. Redistributions in
 * binary form must reproduce the above copyright notice, this list of
 * conditions and the following disclaimer in the documentation and/or other
 * materials provided with the distribution.
 * 
 * (2) Neither the name of Intel Corporation nor the names of its contributors
 * may be used to endorse or promote products derived from this software without
 * specific prior written permission.
 * 
 * DISCLAIMER
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
package com.pallas.unicore.container;

/**
 * Strings for container classes
 * 
 * @version $Id: ResourceStrings.java,v 1.1 2004/05/25 14:58:50 rmenday Exp $
 */
public class ResourceStrings extends java.util.ListResourceBundle {

	final static Object[][] contents = new String[][]{
			{"NO_RESOURCES", "No resources were set."},
			{"NO_VSITE", "Missing destination virtual site for task."},
			{"CANNOT_LOAD", "Cannot load default resources from "},
			{"REQUESTED", "Requested "},
			{"STORAGE", "Storage location "},
			{"NOT_AVAILABLE", " not available at site "},
			{"MULTIPLE_PRIORITIES", "Found more than one Priority: "},
			{"LOCAL_FILE", "Local file <"},
			{"INCOMPLETE_FILE_IMPORT", "Incomplete file import <"},
			{"INCOMPLETE_FILE_EXPORT", "Incomplete file export <"},
			{"INCOMPLETE_FILE_OPERATION", "Incomplete file operation <"},
			{"INCOMPLETE_FILE_TRANSFER", "Incomplete file transfer <"},
			{"AT_ROW", "> at row "},
			{"FOR_IMPORT", "> for import to job directory does not exist"},
			{"FOR_IMPORT_OF", "> for import of file <"},
			{"EXPORT_FROM_DIR_TO_FILE",
					"Export from directory to existing file "},
			{"ALREADY_EXISTS", "> already exists."},
			{"USPACE_NAME", "Name in job directory <"},
			{"NO_IMPORTS", "No operation was selected for import task."},
			{"NO_EXPORTS", "No operation was selected for export task."},
			{"NO_OPERATIONS",
					"No operation was selected for file system operation task."},
			{"NO_TRANSFERS", "No operation was selected for transfer task."},
			{"DESTJOB_MISSING", "Destination job does not exist: "},
			{"DESTJOB_PARENT", "Transfer specified to parent job "},
			{"NO_USITE", "Missing entry for UNICORE Site."},
			{"CANNOT_LOAD_VSITES", "Unable to load virtual sites from "},
			{"NO_VSITE_ENTRY", "Missing entry for virtual site."},
			{"EMPTY_GROUP", "No tasks have been added to group."},
			{"NO_EMAIL_ENTRY", "Missing entry for email."},
			{"SUBMIT_FAILED", "Submitting job failed!"},
			{
					"RESOLVED_MULTIPLE",
					"Resolved multiple priorities in resource request!\nSave job to avoid "
							+ "future problems."},
			{"NOT_INTEGER",
					"The value in the following field must be an integer value: "},
			{"MANDATORY",
					"The value in the following field is an mandatory value: "},
			{"NOT_CORRECT",
					"The value in the following field is not correct, it must be between "}};

	/**
	 * Gets the Contents attribute of the ResourceStrings object
	 * 
	 * @return The Contents value
	 */
	public Object[][] getContents() {
		return contents;
	}
}