package org.unicore;

/**
 * The Identifier of a Fifo
 *
 * @see org.unicore.ajo.Fifo
 *
 * @author S. van den Berghe (fecit)
 * @author D. Snelling (fecit)
 *
 * @since AJO 4.0
 *
 * @version FifoIdentifier.java 1.1 05/13/02
 * 
 **/
public final class FifoIdentifier extends Identifier {

    public FifoIdentifier() {
        super("");
    }

    /**
     * Create a new Fifo Identifier with a unique value.
     *
     * @param name The name of the Fifo Identifier
     *
     **/
    public FifoIdentifier(String name) {
        super(name);
    }

    /**
     * Create a new Fifo Identifier with the given value.
     *
     * @param name The name of the Fifo Identifier
     * @param value The value for this Identifier.
     *
     **/
    public FifoIdentifier(String name, int value) {
        super(name, value);
    }

    static final long serialVersionUID = 0;

}
//
// Change history:
//          23 Apr 2002 SvdB Created
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
