package org.unicore;

/**
 * Identifier of Tickets
 *
 * @author A. Bekele (fecit)
 * @author D. Snelling (fecit)
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 3.6
 *
 * @version TicketIdentifier.java 1.3 05/13/02
 * 
 * @see org.unicore.ajo.Ticket
 * 
 **/
public class TicketIdentifier extends org.unicore.Identifier {

    static final long serialVersionUID = 3309951533513191812L;

    public TicketIdentifier () {
        super("");
    }

    /**
     * Create a new (unique) TicketIdentifier.
     *
     * @param name The name of the TicketIdentifier (convenience only).
     *
     **/
    public TicketIdentifier (String name) {
        super(name);
    }

    /**
     * Create a new Ticket Identifier with the given value.
     *
     * @param name The name of the Ticket Identifier (convenience only).
     * @param value The value for this Identifier.
     *
     **/
    public TicketIdentifier (String name, int value) {
        super(name, value);
    }
}
//
// Change history:
//          15 Mar 2002 SvdB V4, no arg constructor
//          11 Dec 2001 DFS Created
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
