package org.unicore.ajo;

/**
 * AbstractService provide services to do with the execution
 * of work within the Unicore system.
 * <p>
 * Example AbstractServices include querying the state of
 * executing AbstractActions and controlling AbstractActions.
 * <p>
 * AbstractServices are executed within an NJS, without the need
 * for incarnation and excecution on any target systems.
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 2
 *
 * @version AbstractService.java 1.5 09/09/02 
 *
 **/
public abstract class AbstractService extends AbstractAction {

    static final long serialVersionUID = 2322647046714302837L;

    /**
     * Create a new AbstractService.
     * <p>
     * @param name The name of the AbstractService
     * @param extra_information Client supplied extra information about the AbstractService
     *
     **/
    protected AbstractService(String name, byte[] extra_information) {
        super(name, extra_information);
    }

}
//
// Change history:
//           5 May 2000 SvdB V3.0 changes 
//           7 Dec 1998 SvdB Second release to Unicore 
//           5 Nov 1998 SvdB Created 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
