package org.unicore.ajo;

/**
 * AbstractActions that implement this interface can be used as test actions
 * in {@link If} and {@link RepeatGroup} to control their execution.
 * <p>
 * The Oucomes of Decidable AbstractActions must implement
 * the {@link org.unicore.ajo.Decidable} interface. 
 * <p>
 *
 * @see org.unicore.ajo.If
 * @see org.unicore.ajo.RepeatGroup
 * @see org.unicore.outcome.Decision
 *
 * @author D. Snelling (Fujitsu Laboratories of Europe)
 * @author S. van den Berghe (Fujitsu Laboratories of Europe)
 *
 * @since AJO 4.0
 *
 * @version Decidable.java 1.2 08/13/02 
 * 
 **/
public interface Decidable {
}
//
// Change history:
//           8 Aug 2002 SvdB Created 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
