package org.unicore.ajo;

import org.unicore.sets.ResourceSet;

/**
 * FileTransfers move files to and from Uspaces.
 * <p>
 * The other side of the transfer can be another Uspace, an Xspace
 * or a client.
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 3
 *
 * @version FileTransfer.java 1.5 09/09/02 
 * 
 **/
public abstract class FileTransfer extends AbstractTask {

    static final long serialVersionUID = -7771743145376310166L;
    
    /**
     * Create a new FileTransfer.
     * <p>
     * @param name The name of the FileTransfer
     * @param extra_information Client supplied extra information about the FileTransfer
     * @param resources Resources needed to execute the FileTransfer
     *
     **/
    protected FileTransfer( String name,
                            byte[] extra_information,
                            ResourceSet resource_limits
                      ) {
        super(name,extra_information,resource_limits);
    }

}
//
// Change history:
//           6 May 2000 SvdB Created for V3.0 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
