package org.unicore.ajo;

import java.util.Enumeration;

/**
 * The size of Fortran variables declared using "real" or "complex".
 * <p>
 * @see FortranTask#getRealLength
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 1
 *
 * @version RealLength.java 1.4 05/13/02 
 *
 **/
public final class RealLength extends Enum {

    static final long serialVersionUID = -7281686829654693959L;

    /**
     * Do not care
     *
     **/
    public final static RealLength DONTCARE = new RealLength(0,"Don't care");

    /**
     * Four bytes
     *
     **/
    public final static RealLength FOUR = new RealLength(1,"Four bytes");

    /**
     * Eight bytes
     *
     **/
    public final static RealLength EIGHT = new RealLength(2,"Eight bytes");

    /**
     * Constructor for this Class.
     *
     **/
    private RealLength(int aValue, String aName) {
        super(aValue,aName);
    }

    /**
     * Return a enumeration over the instances of RealLength
     *
     **/
    public static Enumeration elements() {
        return Enum.elements( DONTCARE.getClass() );
    }

}
//
// Change history:
//           5 May 2000 SvdB V3.0 
//           7 Dec 1998 SvdB Second release to Unicore 
//           1 Oct 1998 SvdB Changed values to indexes (their point) 
//          12 Jun 1998 SvdB Initial release to Unicore 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
