package org.unicore.outcome;

import org.unicore.AAIdentifier;

import org.unicore.ajo.ForGroup;

/**
 * The results of executing an {@link org.unicore.ajo.ForGroup}. 
 *
 * @see org.unicore.ajo.ForGroup
 *
 * @author Sven van den Berghe (fecit)
 *
 * @since AJO 4.0
 *
 * @version ForGroup_Outcome.java 1.3 07/18/02
 * 
 **/
public class ForGroup_Outcome extends RepeatGroup_Outcome {

    static final long serialVersionUID = 0;

    public ForGroup_Outcome() {
        this((AAIdentifier)null,null);
    }

    /**
     * Create a new ForGroup_Outcome.
     * <p>
     * This will hold the standard information from {@link Outcome}
     * plus the ActionGroup_Outcomes of the repeated iterations of the 
     * action group contained in the RepeatGroup_Outcome.
     *
     * @param source The ForGroup for which this Outcome will hold the results.
     * @param initial The status of the ForGroup at the time that the Outcome is created.
     *
     **/
    public ForGroup_Outcome(ForGroup source, AbstractActionStatus initial) {
        super(source.getId(), initial);
    }

    public ForGroup_Outcome (AAIdentifier id, AbstractActionStatus initial) {
        super(id, initial); 
    }
    
}
//
// Change history:
//       15 Apr 2002  SvdB Created
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
