package org.unicore.outcome;

import org.unicore.ajo.ImportTask;

/**
 * The status and logs of executing a {@link org.unicore.ajo.ImportTask}.
 * <p>
 * The ImportTask produces no results to send to the user and so
 * the Outcome logs the execution of the task and reports the
 * status.
 *
 * @see org.unicore.ajo.ImportTask
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 2
 *
 * @version ImportTask_Outcome.java 1.5 05/13/02 
 * 
 **/
public class ImportTask_Outcome extends AbstractTask_Outcome {

    static final long serialVersionUID = -5725482765242152682L;

    public ImportTask_Outcome() {
        this(null,null);
    }

    /**
     * Create a new ImportTask_Outcome.
     * <p>
     * This will hold the standard information from {@link Outcome}.
     *
     * @param source The ImportTask for which this Outcome will hold the results.
     * @param initial The status of the ImportTask at the time that the Outcome is created.
     *
     **/
    public ImportTask_Outcome( ImportTask           source,
                               AbstractActionStatus initial_status
                        ) {
        super(source, initial_status);
    }

}
//
// Change history:
//          18 Mar 2002 SvdB V4 no arg constructor
//           5 May 2000 SvdB V3.0 
//           7 Dec 1998 SvdB Second release to Unicore 
//           6 Nov 1998 SvdB Created 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
