package org.unicore.outcome;

import org.unicore.ajo.IncarnateFiles;

/**
 * The status and logs of executing an {@link org.unicore.ajo.IncarnateFiles}.
 * <p>
 * IncarnateFiles works on the Uspace and so returns no results
 * to the user. The Outcome reports on the execution of the task only.
 *
 * @see org.unicore.ajo.IncarnateFiles
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 3
 *
 * @version IncarnateFiles_Outcome.java 1.5 05/13/02 
 * 
 **/
public class IncarnateFiles_Outcome extends AbstractTask_Outcome {

    static final long serialVersionUID = 459400606176876223L;

    public IncarnateFiles_Outcome() {
        this(null,null);
    }

    /**
     * Create a new IncarnateFiles_Outcome.
     * <p>
     * This will hold the standard information from {@link Outcome}.
     *
     * @param source The IncarnateFiles for which this Outcome will hold the results.
     * @param initial The status of the IncarnateFiles at the time that the Outcome is created.
     *
     **/
    public IncarnateFiles_Outcome(IncarnateFiles source, AbstractActionStatus initial) {
        super(source, initial);
    }

}
//
// Change history:
//          18 Mar 2002 SvdB V4 no arg constructor
//           5 May 2000 SvdB Created  
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
