package org.unicore.outcome;

import org.unicore.ajo.MoveFifoToOutcome;

/**
 * The result of executing a {@link org.unicore.ajo.MoveFifoToOutcome}.
 * <p>
 * The execution of the MoveFifoToOutcome will have moved the fifo
 * from Uspace to the Outcome holding area. Retrieving this Outcome
 * will result in the fifo being read and so the retrieve will continue
 * until the producing executable finishes writing to the other end of
 * the fifo and closes it.
 *
 * @see org.unicore.ajo.MoveFifoToOutcome
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 4.0
 *
 * @version MoveFifoToOutcome_Outcome.java 1.1 05/13/02 
 * 
 **/
public class MoveFifoToOutcome_Outcome extends AbstractTask_Outcome {

    static final long serialVersionUID = 0;

    public MoveFifoToOutcome_Outcome() {
        this(null, null);
    }

    /**
     * Create a new MoveFifoToOutcome_Outcome.
     *
     * @param source The CopyPortfolioTask for which this Outcome will hold the results.
     * @param initial The status of the CopyPortfolioTask at the time that the Outcome is created.
     *
     **/
    public MoveFifoToOutcome_Outcome( MoveFifoToOutcome    source,
                                  AbstractActionStatus initial_status
                               ) {
        super(source, initial_status);
    }

}
//
// Change history:
//          30 Apr 2002 SvdB Created 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
