package org.unicore.outcome;

import org.unicore.ajo.UnSpool;

/**
 * The status and logs of executing a {@link org.unicore.ajo.UnSpool}.
 * <p>
 * This Outcome reports only on the execution of the UnSpool
 * as there is no data to return to the user.
 *
 * @see org.unicore.ajo.UnSpool
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 3.2
 *
 * @version UnSpool_Outcome.java 1.4 05/13/02
 * 
 **/
public class UnSpool_Outcome extends AbstractTask_Outcome {

    static final long serialVersionUID = 5290472432201068618L;

    public UnSpool_Outcome() {
        this(null,null);
    }

    /**
     * Create a new UnSpool_Outcome.
     * <p>
     * This will hold the standard information from {@link Outcome}.
     *
     * @param source The UnSpool for which this Outcome will hold the results.
     * @param initial The status of the UnSpool at the time that the Outcome is created.
     *
     **/
    public UnSpool_Outcome(UnSpool source, AbstractActionStatus initial) {
        super(source, initial);
    }

}
//
// Change history;
//          18 Mar 2002 SvdB V4 no arg constructor
//          30 Jan 2001 SvdB Created  
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
