package org.unicore.resources;

/**
 * This class describes an execution context available at a site.
 * <p>
 * As part of a Resource Description this advertisies that the
 * Vsite supports the named execution context.
 * <p>
 * As part of a Resource Request this says that the Task uses
 * the named execution context.
 * <p>
 * Execution contexts include libraries (MPI) and special modes
 * of execution (timing or debug).
 *
 * @author D. Snelling (fecit)
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 3.6
 *
 * @version Context.java 1.4 05/13/02
 *
 **/
public final class Context extends SoftwareResource {

    static final long serialVersionUID = -2155236757358856739L;

    /**
     * Create a new Context
     *
     * @param description A description of the Context
     * @param name The name of the Context
     * @param version The version of the Context
     *
     **/
    public Context(String description, String name, String version) {
        super (description, name, version);
    }

    /**
     * Create a new Context
     *
     **/
    public Context() {
        this("Context", "", "");
    }

}
//
// Change history:
//           20022002    Svdb Changed default values (getting equals right)
//           1 Feb 2002  SvdB Created
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
