package org.unicore.resources;

import org.unicore.ajo.Enum;

import java.util.Enumeration;

/**
 * The values allowed as subspaces of some storage.
 *
 * @author D. Snelling (fecit)
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 3
 *
 * @deprecated AJO 4.0 Not part of the revised file system model
 *
 * @version SubspaceValue.java 1.10 05/13/02 
 *
 **/
public final class SubspaceValue extends Enum {

    static final long serialVersionUID = -6280206631988708553L;

    /**
     *  The user's home directory on the server (for USpace the root)
     *
     **/
    public final static SubspaceValue HOME         = new SubspaceValue(0,"Home");

    /**
     *  A temporary, fast disk.
     *
     **/
    public final static SubspaceValue FAST_TEMP      = new SubspaceValue(1,"Fast Temp");

    /**
     *  A temporary, large disk.
     *
     **/
    public final static SubspaceValue LARGE_TEMP         = new SubspaceValue(2,"Large Temp");

    /**
     *  Only absolute paths alowed (Invalid in USpace)
     *
     **/
    public final static SubspaceValue ABSOLUTE = new SubspaceValue(3,"Absolute");

    /**
     * Constructor for this Class.
     *
     * @param aValue The value for this instance.
     * @param aName The name for this instance.
     *
     **/
    private SubspaceValue(int aValue, String aName) {
        super(aValue,aName);
    }

    /**
     * Return a enumeration over the instances of SubspaceValue
     *
     * @return The enumeration
     *
     **/
    public static Enumeration elements() {
        return Enum.elements( HOME.getClass() );
    }
}
//
// Change history:
//          18 Apr 2002 SvdB Deprecated
//           5 May 2000 SvdB Created
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
