package org.unicore.resources;

/**
 * Resource for access to some large semi-permanent storage area
 *
 * @author D. Snelling (fecit)
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 4.0
 *
 * @version Temp.java 1.2 06/11/02
 *
 **/
public final class Temp extends PathedStorage {

    static final long serialVersionUID = 0;

    public Temp () {
        this("",0.0,0.0,0.0,null);
    }

    /**
     * Create a new Temp.
     *
     * @param description A description of the Temp
     * @param maxrequest Maximum amount of storage allowed (in megabytes)
     * @param defaultrequest Amount of storage granted if no specific request received (in megabytes)
     * @param minrequest Minimum amount of storage allowed (in megabytes)
     * @param path Path to a subdirectory within the filesystem (relative to its root)
     *
     **/
    public Temp (String description,
                 double maxrequest,
                 double defaultrequest, 
                 double minrequest,
                 String path) {
        super(description, maxrequest, defaultrequest, minrequest, path);
        setName("Temp");
    }

}
//
// Change history:
//          19 Apr 2002 SvdB Created
//
//             Copyright (c) UNICORE Forum e.V. 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
